Name:           lexertl
Version:        2013.11.20
Release:        3%{?dist}
Summary:        Modular lexical analyzer generator

License:        Boost
URL:            http://www.benhanson.net/lexertl.html
Source0:        https://github.com/BenHanson/lexertl/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
Lexertl is a modern, modular lexical analyzer generator.  Traditionally,
programs such as lex generate source code as their output and even only
support one kind of programming language.  The lexertl developers are
seeking to offer much more flexibility than that by exposing the state
machine that is generated from a supplied lex specification.  By doing
this the user has much more freedom in how the data is processed, which
means it becomes easy to:
- Build a lexical analyzer at runtime and start using it immediately.
- Generate source code from the state machine in your preferred
  programming language.
- Serialize the state machine for later processing.

%package devel
Summary:        Headers used to build programs with lexertl
Provides:       %{name}-static = %{version}-%{release}

%description devel
Lexertl is a modern, modular lexical analyzer generator.  Traditionally,
programs such as lex generate source code as their output and even only
support one kind of programming language.  The lexertl developers are
seeking to offer much more flexibility than that by exposing the state
machine that is generated from a supplied lex specification.  By doing
this the user has much more freedom in how the data is processed, which
means it becomes easy to:
- Build a lexical analyzer at runtime and start using it immediately.
- Generate source code from the state machine in your preferred
  programming language.
- Serialize the state machine for later processing.

This package contains header files for building programs that use
lexertl.

%package examples
Summary:        Example code for use with lexertl
Requires:       %{name}-devel = %{version}-%{release}

%description examples
Example code for use with lexertl.

%prep
%setup -q

# Fix end of line encodings
for fil in lexertl/licence_1_0.txt examples/*/main.cpp \
    examples/date_test/datetest.txt; do
  sed 's/\r//' $fil > $fil.new
  touch -r $fil $fil.new
  mv -f $fil.new $fil
done

%build
# Nothing to do

%install
# Install the header files
mkdir -p %{buildroot}%{_includedir}
cp -a %{name} %{buildroot}%{_includedir}

# Do not install the license file
rm -f %{buildroot}%{_includedir}/%{name}/licence_1_0.txt

%files devel
%doc lexertl/licence_1_0.txt README.md
%{_includedir}/%{name}/

%files examples
%doc examples

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.11.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.11.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 20 2014 Jerry James <loganjerry@gmail.com> - 2013_11_20-1
- New upstream version

* Fri Oct 18 2013 Jerry James <loganjerry@gmail.com> - 2013_09_06-1
- Initial RPM
